Partially update a single sheet#

Description#

Updates the properties of a sheet.

This is a long running operation. Responses include a Location header, which indicates where to poll for results. For more details on long-running job polling, see Operations endpoint.

Options#

Path

PATCH Operations Supported

/name

replace

/index

replace

/parent

replace

/customFields/<custom field id>

add, remove, replace, test

/lock

replace

Examples#

Lock an unlocked sheet#

[
  {
    "op": "replace",
    "path": "/lock",
    "value": "lock"
  }
]

Unlock a locked sheet#

[
  {
    "op": "replace",
    "path": "/lock",
    "value": null
  }
]

Update the name of a sheet#

[
  {
    "op": "replace",
    "path": "/name",
    "value": "Q1 Draft"
  }
]

Update the parent of a sheet (preserving its index)#

[
  {
    "op": "replace",
    "path": "/parent",
    "value": {
      "id": "242a56d3cc0742c8abad0820bd318b23"
    }
  }
]

Update the parent of a sheet (making it the first child)#

[
  {
    "op": "replace",
    "path": "/parent",
    "value": {
      "id": "242a56d3cc0742c8abad0820bd318b23"
    }
  },
  {
    "op": "replace",
    "path": "/index",
    "value": 0
  }
]

Add a custom field value#

[
  {
    "op": "add",
    "path": "/customFields/com.workiva.gsr.legal_entity",
    "value": "Workiva"
  }
]

Remove a custom field value#

[
  {
    "op": "remove",
    "path": "/customFields/com.workiva.gsr.legal_entity"
  }
]

Replace a custom field value#

[
  {
    "op": "replace",
    "path": "/customFields/com.workiva.gsr.legal_entity",
    "value": "Workiva, Inc."
  }
]

PATCH /spreadsheets/{spreadsheetId}/sheets/{sheetId}

Required OAuth Scopes

file:write

Parameters#

Parameter

In

Type

Required

Description

X-Version

header

string

true

Version of the API (2026-01-01)

spreadsheetId

path

string

true

The unique identifier of the spreadsheet

sheetId

path

string

true

The unique identifier of the sheet

body

body

JSONPatchDocument

true

A collection of patch operations to apply to the sheet.

Body parameter example#

[
  {
    "op": "replace",
    "path": "/name",
    "value": "Sheet 1"
  }
]

Code Samples#

curl -X PATCH https://api.app.wdesk.com/spreadsheets/{spreadsheetId}/sheets/{sheetId} \
    -H 'Content-Type: application/json' \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}' \
    -H 'X-Version: 2026-01-01'
http PATCH https://api.app.wdesk.com/spreadsheets/{spreadsheetId}/sheets/{sheetId} \
    X-Version:2026-01-01 \
    Content-Type:application/json \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=PATCH "https://api.app.wdesk.com/spreadsheets/{spreadsheetId}/sheets/{sheetId}" \
    --output-document -  \ 
    --header 'Content-Type: application/json' \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}' \
    --header 'X-Version: 2026-01-01'
import requests

headers = {
  'X-Version': '2026-01-01',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.patch('https://api.app.wdesk.com/spreadsheets/{spreadsheetId}/sheets/{sheetId}', headers = headers)

print(r.headers['Location'])

Returns#

202 - Accepted#

Response body for asynchronous operations. Contains an operationLocation field that specifies the URL to poll for the operation result. This URL can also be found in the Location header on the response.

Header

Description

Location

The location to poll for the operation result.

Retry-After

The number of seconds to wait before polling for a result and between polling attempts.

400 - Bad Request#

Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.

401 - Unauthorized#

Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.

403 - Forbidden#

Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.

404 - Not Found#

Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.

409 - Conflict#

Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.

429 - Too Many Requests#

Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.

500 - Internal Server Error#

Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.

503 - Service Unavailable#

Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.

Example Responses#

{
  "operationLocation": "https://api.app.wdesk.com/operations/128f274395254cf17eda6b3eb3d021b9"
}
{
  "code": "400BadRequest",
  "message": "The request was unacceptable, often due to a missing or invalid parameter"
}
{
  "code": "401Unauthorized",
  "message": "No valid API token provided"
}
{
  "code": "403Forbidden",
  "message": "The API token does not have permissions to perform the request"
}
{
  "code": "404NotFound",
  "message": "The requested resource could not be found"
}
{
  "code": "409Conflict",
  "message": "The request conflicts with another request"
}
{
  "code": "429TooManyRequests",
  "message": "Too many requests have been made against the API in too short a time"
}
{
  "code": "500InternalServerError",
  "message": "The server encountered an unexpected condition that prevented it from fulfilling the request"
}
{
  "code": "503ServiceUnavailable",
  "message": "The server cannot handle the request due to a temporary overload or scheduled maintenance"
}